using System.ComponentModel;
using System.ComponentModel.DataAnnotations.Schema;

namespace WorkFlowCheck.Common.DTO
{
    public class CheckListTemplateHeaderDTO
    {
        public int Id { get; set; }
        [DisplayName("Megnevezés")]
        public string ShortName { get; set; } = null!;
        [DisplayName("Leírás")]
        public string Description { get; set; } = null!;
        [DisplayName("Sorszám (munkalap)")]
        public int? NumberGenerator1Id { get; set; }
        [DisplayName("Sorszám (dokumentum)")]
        public int? NumberGenerator2Id { get; set; }
        
        public NumberGeneratorTemplateDTO? NumberGenerator1 { get; set; }
        public NumberGeneratorTemplateDTO? NumberGenerator2 { get; set; }
        public ICollection<CheckListTemplateRowDTO>? CheckListTemplateRowDTO { get; set; } = new List<CheckListTemplateRowDTO>();
    }
}
